<meta charset="UTF-8"/>
<!--
///////////////////////////////////////////////////////////////////////////////////
//                     Copyright (C) 2017 Dr Robert P. Wolf                      //
//                                                                               //
// Permission is hereby granted, free of charge, to any person obtaining a copy  //
// of this software and associated documentation files (the "Software"), to deal //
// in the Software without restriction, including without limitation the rights  //
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell     //
// copies of the Software, and to permit persons to whom the Software is         //
// furnished to do so, subject to the following conditions:                      //
//                                                                               //
// The above copyright notice and this permission notice shall be included in    //
// all copies or substantial portions of the Software.                           //
//                                                                               //
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR    //
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,      //
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE   //
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER        //
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, //
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN     //
// THE SOFTWARE.                                                                 //
///////////////////////////////////////////////////////////////////////////////////

-->
<html>
  <head>
    <title>StudyMate</title>
  </head>
<body>
<div>
	<input type = checkbox onchange = "javascript: changeMarkings ('stator', this . checked);" />Markings on side.
	<input type = checkbox onchange = "javascript: changeMarkings ('hairline', this . checked);" />Markings on centre hairline.
	<input type = checkbox onchange = "javascript: changeMarkings ('hairlines', this . checked);" />Markings on additional hairlines.
	<input type = checkbox onchange = "javascript: changeSize (this . checked ? 900 : 1200);" />Short/Long
</div>
<div id="root"></div>

<script src="sliderule_construction_kit.js"></script>
<script src="scales.js"></script>

<script>
var sliderules = new Sliderules ();
var s = new Sliderule (720); sliderules . sliderules . push (s);
var r = new Rule (); s . rules . push (r);
r . scales . push (new scale_Metric (24, {scale: 15}));
r . scales . push (new spacer (12));
r . scales . push (new scale_StudyMate (24, {scale: 15 / 2.54, right_extension: 0.016, draw_64: {from: 2, to: 2.5}, lines: [{left: 0, right: 1.016, height: 0}, {left: 0, right: 1.016, height: 0.5}, {left: 0, right: 1.016, height: 0.6}, {left: 0, right: 2.5 * 2.54 / 15, height: 0.7}, {left: 2 * 2.54 / 15, right: 2.5 * 2.54 / 15, height: 0.8}]}));
</script>

<script src="sliderule_application.js"></script>

</body></html>
